#!/usr/bin/env bash
set -eux

APP="${1:-shaarlitest}"
VERSION="$(cat VERSION)"
IMAGE="dr.zoemp.be/${APP}:${VERSION}"

docker build --platform linux/amd64 -t "${IMAGE}" -f Dockerfile .
docker push "${IMAGE}"

if cloudron list | awk '{print $2}' | grep -q "^${APP}\.zoemp\.be$"; then
    cloudron update --image "${IMAGE}" --app "${APP}"
else
    cloudron install --image "${IMAGE}" --location "${APP}"
fi

